Subject: Re: bug#57141: 29.0.50; Most emoji not displaying in PGTK emacs

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Aug 2022 19:06:49 +0300

> From: Michael Eliachevitch <[email-masked]>
> Date: Thu, 11 Aug 2022 14:10:25 +0000
> 
> I use emacs under wayland (sway) with PGTK and native compilation,
> compiled from master. However, I found that in this configuration, at
> least in my recent builds, unicode emoji are not properly displayed.
> E.g. if I call `emoji-list', most emoji are not shown at all, except
> very basic emoji like "Smileys > affection." If I insert a unicode
> emoji, I just see a unicode placeholder. Calling `describe-char' on the
> "Smileys > smiling" emoji from the *Emoji* buffer gives gives me:

Could this be bug#57066?  Does the patch posted there fix the problem?

>                 position: 65 of 2529 (3%), column: 0
>                 character: C-j (displayed as C-j) (codepoint 10, #o12, #xa)
>                 charset: ascii (ASCII (ISO646 IRV))
>     code point in charset: 0x0A
>                 script: latin
>                 syntax:   	which means: whitespace
>                 to input: type "C-x 8 RET a" or "C-x 8 RET LINE FEED (LF)"
>             buffer code: #x0A
>                 file code: not encodable by coding system nil
>                 display: no font available

This is not an Emoji character, this is NBSP.

Do you have Color Note Emoji font installed?